%global forgeurl https://github.com/rlancaste/stellarsolver/
%global commit f3f1456c58ae6a5dd896b4c9b443f16d2f2162c1
%global major_soversion 1
%global minor_soversion 6

%forgemeta

Name:           stellarsolver
Version:        1.6
Release:        0.1%{?dist}
Summary:        The Cross Platform Sextractor and Internal Astrometric Solver

License:        BSD and GPLv2+ and GPLv3+
URL:            %{forgeurl}
Source0:        %{forgesource}

# Buildtime tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
# Libraries
BuildRequires:  cfitsio-devel
BuildRequires:  gsl-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  wcslib-devel


%description
StellarSolver is the Cross Platform Sextractor and Internal Astrometric Solver:
* An Astrometric Plate Solver for Mac, Linux, and Windows, built on
  Astrometry.net and SEP (sextractor)
* Meant to be an internal library for use in a program like KStars for internal
  plate solving on all supported operating systems


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%forgesetup


%build
%cmake
%cmake_build


%install
%cmake_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%{?ldconfig_scriptlets}


%files
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major_soversion}
%{_libdir}/*.so.%{major_soversion}.%{minor_soversion}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/StellarSolver/*.cmake
%{_libdir}/pkgconfig/stellarsolver.pc

%changelog
* Sat Mar 13 2021 Christian Dersch <lupinix@mailbox.org> - 1.5-1
- initial package
